commit:     f97a6532d151a52702aaa95b20183661f17f7a5f
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Mar 14 09:52:57 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun Mar 14 09:52:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f97a6532

www-apps/twint: bump py

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 www-apps/twint/twint-2.1.20-r1.ebuild | 43 +++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/www-apps/twint/twint-2.1.20-r1.ebuild 
b/www-apps/twint/twint-2.1.20-r1.ebuild
new file mode 100644
index 00000000..7d263f7a
--- /dev/null
+++ b/www-apps/twint/twint-2.1.20-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Twitter scraping & OSINT tool written in Python that doesn't use 
Twitter's API"
+HOMEPAGE="
+       https://github.com/twintproject/twint
+       https://pypi.org/project/twint
+"
+SRC_URI="https://github.com/twintproject/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+#tests require network
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/aiohttp[${PYTHON_USEDEP}]
+       dev-python/aiohttp-socks[${PYTHON_USEDEP}]
+       dev-python/aiodns[${PYTHON_USEDEP}]
+       dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+       dev-python/cchardet[${PYTHON_USEDEP}]
+       dev-python/elasticsearch-py[${PYTHON_USEDEP}]
+       dev-python/fake-useragent[${PYTHON_USEDEP}]
+       dev-python/geopy[${PYTHON_USEDEP}]
+       dev-python/googletransx[${PYTHON_USEDEP}]
+       >=dev-python/pandas-0.23.0[${PYTHON_USEDEP}]
+       dev-python/PySocks[${PYTHON_USEDEP}]
+       dev-python/schedule[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+python_test() {
+       "${EPYTHON}" test.py -v || die
+}

Reply via email to